The Work Order object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

production_item string required
item_name string
image string
bom_no string required
allow_alternative_item boolean

Default: false

use_multi_level_bom boolean

Default: true

skip_transfer boolean

Default: false

company string required
qty number

Default: 1

material_transferred_for_manufacturing number

Default: 0

produced_qty number

Default: 0

sales_order string
project string
from_wip_warehouse boolean

Default: false

wip_warehouse string
fg_warehouse string
scrap_warehouse string
planned_start_date string

Default: now

actual_start_date string
planned_end_date string
actual_end_date string
expected_delivery_date string
transfer_material_against string
planned_operating_cost number
actual_operating_cost number
additional_operating_cost number
total_operating_cost number
description string
stock_uom string
material_request string
material_request_item string
sales_order_item string
production_plan string
production_plan_item string
product_bundle_item string
update_consumed_material_cost_in_project boolean

Default: true

source_warehouse string
lead_time number
has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

batch_size number

Default: 0

corrective_operation_cost number
production_plan_sub_assembly_item string
process_loss_qty number
track_semi_finished_goods boolean

Default: false

reserve_stock boolean

Default: false

disassembled_qty number
mps string
additional_transferred_qty number

Default: 0

subcontracting_inward_order string
subcontracting_inward_order_item string
max_producible_qty number
The Work Order object
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}
GET /api/manufacturing/work-order/{id}

Retrieve a work order

Retrieves the details of an existing work order. Supply the unique work order ID that was returned from a previous request.

Path parameters

id string required

The identifier of the work order to retrieve.

Returns

Returns the work order object if a valid identifier was provided.

GET /api/manufacturing/work-order/{id}
curl https://api.overplane.dev/api/manufacturing/work-order/work-order_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}
GET /api/manufacturing/work-order

List all work orders

Returns a list of work orders. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of work order objects.

GET /api/manufacturing/work-order
curl https://api.overplane.dev/api/manufacturing/work-order \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "work-order_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "production_item": "production_item_example",
      "item_name": "item_name_example",
      "image": "image_example",
      "bom_no": "bom_no_example",
      "allow_alternative_item": false,
      "use_multi_level_bom": true,
      "skip_transfer": false,
      "company": "Example Corp",
      "qty": 1,
      "material_transferred_for_manufacturing": 0,
      "produced_qty": 0,
      "sales_order": "sales_order_example",
      "project": "project_example",
      "from_wip_warehouse": false,
      "wip_warehouse": "wip_warehouse_example",
      "fg_warehouse": "fg_warehouse_example",
      "scrap_warehouse": "scrap_warehouse_example",
      "planned_start_date": "now",
      "actual_start_date": "2024-01-15",
      "planned_end_date": "2024-01-15",
      "actual_end_date": "2024-01-15",
      "expected_delivery_date": "2024-01-15",
      "transfer_material_against": "transfer_material_against_example",
      "planned_operating_cost": 0,
      "actual_operating_cost": 0,
      "additional_operating_cost": 0,
      "total_operating_cost": 0,
      "description": "description_example",
      "stock_uom": "stock_uom_example",
      "material_request": "material_request_example",
      "material_request_item": "material_request_item_example",
      "sales_order_item": "sales_order_item_example",
      "production_plan": "production_plan_example",
      "production_plan_item": "production_plan_item_example",
      "product_bundle_item": "product_bundle_item_example",
      "update_consumed_material_cost_in_project": true,
      "source_warehouse": "source_warehouse_example",
      "lead_time": 0,
      "has_serial_no": false,
      "has_batch_no": false,
      "batch_size": 0,
      "corrective_operation_cost": 0,
      "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
      "process_loss_qty": 0,
      "track_semi_finished_goods": false,
      "reserve_stock": false,
      "disassembled_qty": 0,
      "mps": "mps_example",
      "additional_transferred_qty": 0,
      "subcontracting_inward_order": "subcontracting_inward_order_example",
      "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
      "max_producible_qty": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/work-order

Create a work order

Creates a new work order object.

Body parameters

status string

Default: draft

production_item string required
item_name string
image string
bom_no string required
allow_alternative_item boolean

Default: false

use_multi_level_bom boolean

Default: true

skip_transfer boolean

Default: false

company string required
qty number

Default: 1

material_transferred_for_manufacturing number

Default: 0

produced_qty number

Default: 0

sales_order string
project string
from_wip_warehouse boolean

Default: false

wip_warehouse string
fg_warehouse string
scrap_warehouse string
planned_start_date string

Default: now

actual_start_date string
planned_end_date string
actual_end_date string
expected_delivery_date string
transfer_material_against string
planned_operating_cost number
actual_operating_cost number
additional_operating_cost number
total_operating_cost number
description string
stock_uom string
material_request string
material_request_item string
sales_order_item string
production_plan string
production_plan_item string
product_bundle_item string
update_consumed_material_cost_in_project boolean

Default: true

source_warehouse string
lead_time number
has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

batch_size number

Default: 0

corrective_operation_cost number
production_plan_sub_assembly_item string
process_loss_qty number
track_semi_finished_goods boolean

Default: false

reserve_stock boolean

Default: false

disassembled_qty number
mps string
additional_transferred_qty number

Default: 0

subcontracting_inward_order string
subcontracting_inward_order_item string
max_producible_qty number

Returns

Returns the newly created work order object if the call succeeded.

POST /api/manufacturing/work-order
curl https://api.overplane.dev/api/manufacturing/work-order \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"production_item":"production_item_example","bom_no":"bom_no_example","company":"Example Corp"}'
Response
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}
PATCH /api/manufacturing/work-order/{id}

Update a work order

Updates the specified work order by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the work order to update.

Body parameters

status string

Default: draft

production_item string
item_name string
image string
bom_no string
allow_alternative_item boolean

Default: false

use_multi_level_bom boolean

Default: true

skip_transfer boolean

Default: false

company string
qty number

Default: 1

material_transferred_for_manufacturing number

Default: 0

produced_qty number

Default: 0

sales_order string
project string
from_wip_warehouse boolean

Default: false

wip_warehouse string
fg_warehouse string
scrap_warehouse string
planned_start_date string

Default: now

actual_start_date string
planned_end_date string
actual_end_date string
expected_delivery_date string
transfer_material_against string
planned_operating_cost number
actual_operating_cost number
additional_operating_cost number
total_operating_cost number
description string
stock_uom string
material_request string
material_request_item string
sales_order_item string
production_plan string
production_plan_item string
product_bundle_item string
update_consumed_material_cost_in_project boolean

Default: true

source_warehouse string
lead_time number
has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

batch_size number

Default: 0

corrective_operation_cost number
production_plan_sub_assembly_item string
process_loss_qty number
track_semi_finished_goods boolean

Default: false

reserve_stock boolean

Default: false

disassembled_qty number
mps string
additional_transferred_qty number

Default: 0

subcontracting_inward_order string
subcontracting_inward_order_item string
max_producible_qty number

Returns

Returns the updated work order object.

PATCH /api/manufacturing/work-order/{id}
curl https://api.overplane.dev/api/manufacturing/work-order/work-order_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","production_item":"production_item_example"}'
Response
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}
DELETE /api/manufacturing/work-order/{id}

Delete a work order

Permanently deletes a work order. This cannot be undone.

Path parameters

id string required

The identifier of the work order to delete.

Returns

Returns a confirmation that the work order has been deleted.

DELETE /api/manufacturing/work-order/{id}
curl https://api.overplane.dev/api/manufacturing/work-order/work-order_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "work-order_abc123",
  "deleted": true
}
POST /api/manufacturing/work-order/{id}/submit

Submit a work order

Submits a draft work order, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the work order to act on.

Returns

Returns the work order object with updated status.

POST /api/manufacturing/work-order/{id}/submit
curl https://api.overplane.dev/api/manufacturing/work-order/work-order_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}
POST /api/manufacturing/work-order/{id}/cancel

Cancel a work order

Cancels a submitted work order, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the work order to act on.

Returns

Returns the work order object with updated status.

POST /api/manufacturing/work-order/{id}/cancel
curl https://api.overplane.dev/api/manufacturing/work-order/work-order_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "work-order_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "production_item": "production_item_example",
  "item_name": "item_name_example",
  "image": "image_example",
  "bom_no": "bom_no_example",
  "allow_alternative_item": false,
  "use_multi_level_bom": true,
  "skip_transfer": false,
  "company": "Example Corp",
  "qty": 1,
  "material_transferred_for_manufacturing": 0,
  "produced_qty": 0,
  "sales_order": "sales_order_example",
  "project": "project_example",
  "from_wip_warehouse": false,
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "scrap_warehouse": "scrap_warehouse_example",
  "planned_start_date": "now",
  "actual_start_date": "2024-01-15",
  "planned_end_date": "2024-01-15",
  "actual_end_date": "2024-01-15",
  "expected_delivery_date": "2024-01-15",
  "transfer_material_against": "transfer_material_against_example",
  "planned_operating_cost": 0,
  "actual_operating_cost": 0,
  "additional_operating_cost": 0,
  "total_operating_cost": 0,
  "description": "description_example",
  "stock_uom": "stock_uom_example",
  "material_request": "material_request_example",
  "material_request_item": "material_request_item_example",
  "sales_order_item": "sales_order_item_example",
  "production_plan": "production_plan_example",
  "production_plan_item": "production_plan_item_example",
  "product_bundle_item": "product_bundle_item_example",
  "update_consumed_material_cost_in_project": true,
  "source_warehouse": "source_warehouse_example",
  "lead_time": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "batch_size": 0,
  "corrective_operation_cost": 0,
  "production_plan_sub_assembly_item": "production_plan_sub_assembly_item_example",
  "process_loss_qty": 0,
  "track_semi_finished_goods": false,
  "reserve_stock": false,
  "disassembled_qty": 0,
  "mps": "mps_example",
  "additional_transferred_qty": 0,
  "subcontracting_inward_order": "subcontracting_inward_order_example",
  "subcontracting_inward_order_item": "subcontracting_inward_order_item_example",
  "max_producible_qty": 0
}

Line items

Child objects that belong to this work order. These are accessed via the parent's ID.

Work Order Item

Attributes

idx integer
work_order_id string required
operation string
item_code string
source_warehouse string
item_name string
description string
required_qty number
transferred_qty number
allow_alternative_item boolean
include_item_in_manufacturing boolean
consumed_qty number
available_qty_at_source_warehouse number
available_qty_at_wip_warehouse number
rate number
amount number
returned_qty number
operation_row_id integer
stock_uom string
stock_reserved_qty number
is_additional_item boolean
voucher_detail_reference string
is_customer_provided_item boolean

Endpoints

GET /api/manufacturing/work-order-item?parent_id={id}
POST /api/manufacturing/work-order-item
PATCH /api/manufacturing/work-order-item/{id}
DELETE /api/manufacturing/work-order-item/{id}
POST /api/manufacturing/work-order-item/reorder
Work Order Item object
{
  "id": "work-order-item_abc123",
  "idx": 1,
  "work_order_id": "work_order_id_example",
  "operation": "operation_example",
  "item_code": "item_code_example",
  "source_warehouse": "source_warehouse_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "required_qty": 0,
  "transferred_qty": 0,
  "allow_alternative_item": false,
  "include_item_in_manufacturing": false,
  "consumed_qty": 0,
  "available_qty_at_source_warehouse": 0,
  "available_qty_at_wip_warehouse": 0,
  "rate": 0,
  "amount": 0,
  "returned_qty": 0,
  "operation_row_id": 0,
  "stock_uom": "stock_uom_example",
  "stock_reserved_qty": 0,
  "is_additional_item": false,
  "voucher_detail_reference": "voucher_detail_reference_example",
  "is_customer_provided_item": false
}

Work Order Operation

Attributes

idx integer
work_order_id string required
operation string required
bom string
description string
completed_qty number
status string
workstation string
planned_start_time string
planned_end_time string
time_in_mins number required
hour_rate number
planned_operating_cost number
actual_start_time string
actual_end_time string
actual_operation_time number
actual_operating_cost number
batch_size number
sequence_id integer
workstation_type string
process_loss_qty number
bom_no string
finished_good string
wip_warehouse string
fg_warehouse string
source_warehouse string
is_subcontracted boolean
skip_material_transfer boolean
backflush_from_wip_warehouse boolean
quality_inspection_required boolean

Endpoints

GET /api/manufacturing/work-order-operation?parent_id={id}
POST /api/manufacturing/work-order-operation
PATCH /api/manufacturing/work-order-operation/{id}
DELETE /api/manufacturing/work-order-operation/{id}
POST /api/manufacturing/work-order-operation/reorder
Work Order Operation object
{
  "id": "work-order-operation_abc123",
  "idx": 1,
  "work_order_id": "work_order_id_example",
  "operation": "operation_example",
  "bom": "bom_example",
  "description": "description_example",
  "completed_qty": 0,
  "status": "Pending",
  "workstation": "workstation_example",
  "planned_start_time": "planned_start_time_example",
  "planned_end_time": "planned_end_time_example",
  "time_in_mins": 0,
  "hour_rate": 0,
  "planned_operating_cost": 0,
  "actual_start_time": "actual_start_time_example",
  "actual_end_time": "actual_end_time_example",
  "actual_operation_time": 0,
  "actual_operating_cost": 0,
  "batch_size": 0,
  "sequence_id": 0,
  "workstation_type": "workstation_type_example",
  "process_loss_qty": 0,
  "bom_no": "bom_no_example",
  "finished_good": "finished_good_example",
  "wip_warehouse": "wip_warehouse_example",
  "fg_warehouse": "fg_warehouse_example",
  "source_warehouse": "source_warehouse_example",
  "is_subcontracted": false,
  "skip_material_transfer": false,
  "backflush_from_wip_warehouse": false,
  "quality_inspection_required": false
}